CliParams.cpp File Reference
`#include "stdinc.h"`
`#include "CliParams.h"`
`#include "error.h"`
`#include "ParameterGroup.h"`
`#include "IntegerParameter.h"`
`#include "BoolParameter.h"`
`#include "StringParameter.h"`
`#include "NameFactory.h"`

Go to the source code of this file.

## Functions

bool | getBool (const CliParams &params, const string &name)
const string & | getString (const CliParams &params, const string &name)
unsigned int | getInt (const CliParams &params, const string &name)
void | setBool (CliParams &params, const string &name, bool newValue)

## Function Documentation

## getBool()

bool getBool | ( | const CliParams & | params,
|  | const string & | name )

Definition at line 124 of file CliParams.cpp.

## getInt()

unsigned int getInt | ( | const CliParams & | params,
|  | const string & | name )

Definition at line 136 of file CliParams.cpp.

## getString()

const string & getString | ( | const CliParams & | params,
|  | const string & | name )

Definition at line 130 of file CliParams.cpp.

## setBool()

void setBool | ( | CliParams & | params,
|  | const string & | name,
|  | bool | newValue )

Definition at line 142 of file CliParams.cpp.